package com.e6yun.project.sdk.api.pojo.basevo.business;

import com.google.common.base.MoreObjects;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/6 14:59
 * @ClassName DownVideoVO
 * @Remark
 */
public class DownVideo {

    private String vehicle;

    private String channelIds;

    private String startTime;

    private String endTime;

    private String callbackUrl;

    public DownVideo() {
    }

    public String getVehicle() {
        return vehicle;
    }

    public void setVehicle(String vehicle) {
        this.vehicle = vehicle;
    }

    public String getChannelIds() {
        return channelIds;
    }

    public void setChannelIds(String channelIds) {
        this.channelIds = channelIds;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("vehicle", vehicle)
                .add("channelIds", channelIds)
                .add("startTime", startTime)
                .add("endTime", endTime)
                .add("callbackUrl", callbackUrl)
                .toString();
    }
}
